<div class="row col-xs-12">
    <h3>Messages</h3>

    <div class="panel panel-default">

        <div class="panel-heading">
            <div class="form-inline" style="float: right;">
                <label for="limit" class="fa fa-hashtag"/>
                <input id="limit" type="number" class="form-control" style="width: 5em;" ng-model="ctrl.limit" ng-change="ctrl.refreshData()"/>
                <label for="search" class="fa fa-group"/>
                <select id="search" class="form-control" ng-model="ctrl.group_id" ng-options="group._id as group.name for group in ctrl.groups" ng-init="ctrl.group_id" ng-change="ctrl.refreshData()"/>
            </div>
        </div>

        <div class="panel-heading form-inline">
            <form ng-submit="ctrl.sendMessage()">
                <label for="body">Your message</label>
                <input id="body" type="text" class="form-control" style="width: 100%" ng-model="ctrl.body"/>
            </form>
        </div>
    
            <div class="panel-body">
            <table class="table table-hover">
                <tr>
                    <th>Time</th><th>Author</th><th>Body</th>
                </tr>
                <tr ng-repeat="message in ctrl.messages">
                        <td ng-bind="ctrl.toDateStr(message.time)"></td>
                        <td ng-bind="message.authorFirstName + ' ' + message.authorLastName"></td>
                        <td ng-bind="message.body"></td>
                    </tr>
            </table>
        </div>

    </div>
</div>